Eclipse Platform Release 3.7

## org.eclipse.jface.action
Interface IToolBarManager

All Superinterfaces:
  IContributionManager

All Known Implementing Classes:
  SubToolBarManager, ToolBarManager

    public interface IToolBarManager

extends IContributionManager

The `IToolBarManager` interface provides protocol for managing contributions to a tool bar. It extends `IContributionManager` but does not declare any new members; it exists only to increase the readability of code using tool bars.

This package also provides a concrete tool bar manager implementation, ``ToolBarManager``.

Method Summary

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove, removeAll, update`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.